##### ssl::context::set_password_callback (1 of 2 overloads)

Set the password callback.

    template<
        typename PasswordCallback>
    void set_password_callback(
        PasswordCallback callback);

This function is used to specify a callback function to obtain password information about an encrypted key in PEM format.

###### Parameters

callback

  The function object to be used for obtaining the password. The function signature of the handler must be:

      std::string password_callback(
        std::size_t max_length,  // The maximum size for a password.
        password_purpose purpose // Whether password is for reading or writing.
      );

  The return value of the callback is a string containing the password.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_CTX_set_default_passwd_cb`.